package be.seeseemelk.llamascript;

import org.junit.jupiter.api.Test;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.equalTo;

public class IntegerTests extends AbstractLlamaTest {
    @Test
    void canIncrementNumber() {
        int value = llama.eval("Increment the number", Integer.class, 4);
        assertThat(value, equalTo(5));
    }

    @Test
    void canMultiply() {
        int value = llama.eval("Multiply the numbers", Integer.class, 2, 3);
        assertThat(value, equalTo(2*3));
    }

    @Test
    void canMax() {
        int value = llama.eval("Select the largest number", Integer.class, -2, 8);
        assertThat(value, equalTo(8));
    }

    @Test
    void canDoWeirdStuff() {
        int value = llama.eval("Select the number with the most '5's in it.", Integer.class, 12, 5, 1023978, 158525);
        assertThat(value, equalTo(158525));
    }

    @Test
    void givePositivity() {
        int value = llama.eval("If the string is something positive, return 1. Else, return 0.", Integer.class, "I like rainbows");
        assertThat(value, equalTo(1));

        value = llama.eval("If the string is something positive, return 1. Else, return 0.", Integer.class, "Death to all");
        assertThat(value, equalTo(0));
    }
}
