package be.seeseemelk.llamascript;

import org.junit.jupiter.api.Test;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.equalTo;

public class StringTests extends AbstractLlamaTest {
    @Test
    void canUppercase() {
        String value = llama.eval("Return the string in uppercase", String.class, "Cat");
        assertThat(value, equalTo("CAT"));
    }

    @Test
    void canLowercase() {
        String value = llama.eval("Return the string in lowercase", String.class, "Cat");
        assertThat(value, equalTo("cat"));
    }

    @Test
    void canInvert() {
        String value = llama.eval("Return the string backwards", String.class, "Cat");
        assertThat(value, equalTo("taC"));
    }

    @Test
    void canSelectLongest() {
        String value = llama.eval("Return the longest string", String.class, "Cat", "Dog", "Horse");
        assertThat(value, equalTo("Horse"));
    }

    @Test
    void canDoWeirdStuff() {
        String value = llama.eval("Return the string that does not fit", String.class, "Cat", "Dog", "Horse", "Bicycle");
        assertThat(value, equalTo("Bicycle"));
    }

    @Test
    void canDoReallyWeirdStuff() {
        String value = llama.eval("Sort the letters alphabetically", String.class, "horse");
        assertThat(value, equalTo("ehors"));
    }
}
